Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1045658 - Setup Host Networks dialog: A certain scenario leads to a Bond with only one NIC
Summary: Setup Host Networks dialog: A certain scenario leads to a Bond with only one NIC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Lior Vernia
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-21 00:03 UTC by Einav Cohen
Modified: 2016-02-10 19:55 UTC (History)
10 users (show)

Fixed In Version: av3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)
screen-cast: Setup Host Network (deleted)
2013-12-21 00:03 UTC, Einav Cohen
no flags Details
screen-cast: remove last NIC from bond (deleted)
2013-12-21 00:05 UTC, Einav Cohen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24993 None None None Never
oVirt gerrit 25419 None None None Never

Description Einav Cohen 2013-12-21 00:03:59 UTC
Created attachment 839866 [details]
screen-cast: Setup Host Network

Description of problem:
After creating a Bond, you can take one of the NICs within the Bond and choose to Bond it with a different NIC. This will is expected to break the (original) Bond, but instead - the Bond remains with only one NIC in it.

Version-Release number of selected component (if applicable):
upstream master / is28 (3.3)

How reproducible:
100%

Steps to Reproduce:
1. Open the 'Setup Host Networks' dialog
2. Drag one of the NICs ('eth0') onto another NIC ('eth1') to form a Bond
[Bond pop-up opens up]
3. fill bond name, bond mode, click "OK"
[bond is formed, let's call it "bond0"]
4. right click on 'eth1' (within 'bond0') to open its context menu, select "Bond eth1 with -> eth2"
[Bond pop-up opens up]
5. fill bond name, bond mode, click "OK"
[bond is formed, let's call it "bond1"]

Actual results:
'bond0' remains with only 'eth0' in it.

Expected results:
'bond0' should be broken

Additional info:
when attempting to detach 'eth0' from 'bond0', the dialog becomes blank

Comment 1 Einav Cohen 2013-12-21 00:05:22 UTC
Created attachment 839868 [details]
screen-cast: remove last NIC from bond

Comment 2 Einav Cohen 2013-12-21 00:06:10 UTC
> when attempting to detach 'eth0' from 'bond0', the dialog becomes blank

see attachment 839868 [details]

Comment 4 Meni Yakove 2014-03-16 14:40:31 UTC
rhevm-3.4.0-0.5.master.el6ev.noarch

Comment 5 Itamar Heim 2014-06-12 14:07:35 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.